# Example

## Sender

```csharp
void DetailSenderCall() {
    var sender =
        new Sender(
            FitConnectEndpoints.Create(FitConnectEndpoints.EndpointType.Development));
    sender.CreateSubmissionDto(new Submission());
    /*
     ....
     */
}

```

## Subscriber

```csharp
async Task DetailSubscriberCall() {
    var subscriber =
        new Subscriber(
            FitConnectEndpoints.Create(FitConnectEndpoints.EndpointType.Development));
    var submissions = await subscriber.GetSubmissionsAsync("destinationId");
    /*
     ....
     */
}
```