using System.Security.Cryptography.X509Certificates;
using FitConnect;
using Microsoft.Extensions.Logging;
using NUnit.Framework;

namespace SenderTest;

public class SenderEncryptionWithImportedCertificateTest {
    private ILogger _logger = null!;
    private Sender _sender = null!;

    [OneTimeSetUp]
    public void OneTimeSetUp() {
        // Import certificate
    }

    [SetUp]
    public void SetUp() {
        // Create a new Sender
        var fileName = "../../../Certificates/certificate.cer";
        var cert = new X509Certificate2(fileName);
        _logger = LoggerFactory.Create(cfg => cfg.AddConsole())
            .CreateLogger<SenderEncryptionWithSelfSignedCertificateTest>();

        _sender = Sender.Create(
            FitConnectEnvironment.Development,
            _logger);
    }

    [TearDown]
    public void TearDown() {
        // Dispose the Sender
    }

    [OneTimeTearDown]
    public void OneTimeTearDown() {
        // Delete certificate
    }

    [Test]
    public void TestEncryption() {
        // Encrypt a message
    }
}
